> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.athenaintel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.athenaintel.com/_mcp/server.

# Get workspace configuration

GET https://api.athenaintel.com/api/v0/workspaces/{workspace_id}/configuration

Retrieve the configuration for a workspace. Includes disclaimer settings. Requires workspace owner or admin permissions.

Reference: https://docs.athenaintel.com/api-reference/workspaces/get-configuration

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `workspace_id` (string, required)

## Response

### 200

Workspace configuration retrieved successfully

- `workspace_id` (string, required) — The workspace ID
- `workspace_disclaimer` (WorkspaceDisclaimerOut, optional, nullable) — Workspace disclaimer settings

## Errors

### 403 Forbidden Error

User is not a workspace owner or admin

- `any`

### 404 Not Found Error

Workspace not found

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### WorkspaceDisclaimerOut

Workspace disclaimer configuration.

- `enabled` (boolean, required) — Whether the disclaimer is enabled
- `accept_button_text` (string, optional, nullable) — Text for the accept button
- `markdown_text` (string, optional, nullable) — Markdown content of the disclaimer message
- `title` (string, optional, nullable) — Title displayed at the top of the disclaimer modal

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `ctx` (ValidationErrorCtx, optional)
- `input` (any, optional)

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "workspace_id": "ws_abc123",
  "workspace_disclaimer": {
    "enabled": true,
    "accept_button_text": "Accept",
    "markdown_text": "You agree to...",
    "title": "Disclaimer of Use"
  }
}
```

**SDK Code**

```python workspaces_get_configuration_example
import requests

url = "https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript workspaces_get_configuration_example
const url = 'https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration';
const options = {method: 'GET', headers: {'X-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go workspaces_get_configuration_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby workspaces_get_configuration_example
require 'uri'
require 'net/http'

url = URI("https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java workspaces_get_configuration_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php workspaces_get_configuration_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp workspaces_get_configuration_example
using RestSharp;

var client = new RestClient("https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift workspaces_get_configuration_example
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```